Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515505 - better UX when multiple clusters are used
Summary: better UX when multiple clusters are used
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: yasun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 23:12 UTC by Aleksandar Kostadinov
Modified: 2019-02-11 18:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2017-11-20 23:12:36 UTC
Description of problem:
For a user it is hard to work with multiple OpenShift clusters. Now that we are implementing virtual clusters in online staging that would become a more common use case.

For the CLI part, it is inconvenient for a user to log into multiple clusters and switching between them unless user remembers well cluster URLs. There is a pull request to help with this but was closed [1]. With virtual clusters it would be even harder, because API URL would be the same and it would be even more confusing.

For management console the issue is that once user logs in with one account, when user wants to do changes in two virtual clusters, that would require logging out of first cluster and logging into the other one. Or using separate browser profiles. This would be rather annoying in my opinion.

I believe that UX around using multiple clusters needs to be designed in a convenient for the user way.

For me possible improvements would be:
1. virtual clusters will be easier to use if they use different hostname or at least different API/console path
2. make easier switching between accounts in CLI by reconsidering and if needed fixing [1].

[1] https://github.com/openshift/origin/pull/16161#event-1310447864

Version-Release number of selected component (if applicable):
3.7.x

Comment 2 Aleksandar Kostadinov 2017-11-30 17:46:13 UTC
One other UX issue is the incompatibility of oc 3.7 with servers earlier than 3.6
(bug 1519314).

Presently `oc` RPM installation doesn't let you install multiple versions of `oc`. This means one can't work simultaneously with OpenShift Online (when it is upgraded) and for example local installation of OCP 3.4 (which is a supported version).

If different `oc` versions are to be required, then RPMs should be versioned such that one can install multiple oc3# packages and call them as `oc36`, `oc34`, etc.

Additionally the "alternatives" system can be employed to select the default version (similar to python2 and python3 executables).

Comment 3 Aleksandar Kostadinov 2017-12-05 13:28:32 UTC
Another issue with usability when virtual clusters are used is SSO. For example I have an app on free-int:
https://jenkins-testqe.d800.free-int.openshiftapps.com/

It is a jenkins app with OpenShift SSO login. When I open the URL it provides me with a button to login with OpenShift. I click that button and I am sent to OpenShift console login screen with 3 choices to login with. Now I don't know which button to click which would corresponds to cluster the app is running on.


Note You need to log in before you can comment on or make changes to this bug.